declare const _default: {
    timeZone: {
        time: {
            getTime(): number;
            setTime(t: number): void;
        };
        zone: {
            tree(): {
                name: string;
            }[];
            getZone(): string;
            setZone(zone: string): Promise<void | {}>;
        };
        ntp: {
            getEnabled(): boolean;
            setEnabled(enable: boolean): Promise<void | {}>;
            setServer(server: string): Promise<void | {}>;
            getServer(): string;
        };
    };
    networkInterface: {
        getAddress(): string;
        setAddress(address: any): void;
        getNetmask(): string;
        setNetmask(netmask: any): void;
        getGateway(): string;
        setGateway(gateway: any): void;
        getDNS(): string[];
        setDNS(dns: any): void;
    };
};
export default _default;
