"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let windowsCfg = {
    address: '118.193.214.104',
    netmask: '255.255.255.224',
    gateway: '118.193.214.97',
    dns: [
        '1.2.4.8',
        '114.114.114.114'
    ]
};
const Win32Impl = class {
    /**
    <pre>
        auto lo
        iface lo inet loopback
        auto eth0
        iface eth0 inet static
        address 118.193.214.104
        netmask 255.255.255.224
        gateway 118.193.214.97
        dns-nameservers 1.2.4.8
        dns-nameservers 114.114.114.114
    </pre>
    */
    constructor() {
    }
    getAddress() {
        return windowsCfg.address;
    }
    setAddress(address) {
        windowsCfg.address = address;
    }
    getNetmask() {
        return windowsCfg.netmask;
    }
    setNetmask(netmask) {
        windowsCfg.netmask = netmask;
    }
    getGateway() {
        return windowsCfg.gateway;
    }
    setGateway(gateway) {
        windowsCfg.gateway = gateway;
    }
    getDNS() {
        return windowsCfg.dns;
    }
    setDNS(dns) {
        windowsCfg.dns = dns;
    }
};
exports.default = new Win32Impl();
